
/*test schema-location attribute*/
function schemaLoc returns int (err-num as int):
   def var hDoc as handle.
   def var hRoot as handle.
   def var hNode1 as handle.
   def var res as logical init false.
   def var c as character.
   def var unk as character.

   create x-document hDoc.
   c = hDoc:schema-location.
   if not c eq ? then "Unexpected error1: schema-location doesn't equals empty string".

   c = ?.
   hDoc:schema-location = c no-error.
   if error-status:error or not error-status:get-number(1) eq 4083
            then message "Unexpected error2 schema-location: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:schema-location = "".
   if not hDoc:schema-location eq "" then "Unexpected error3: schema-location doesn't equals empty string".

   hDoc:schema-location = "test test".
   if not hDoc:schema-location eq "test test" then "Unexpected error4: schema-location".

   hDoc:schema-location = "".
   c = ?.
   hDoc:add-schema-location(c, c) no-error.
   if error-status:error or not error-status:get-number(1) eq 4065
               then message "Unexpected error5 schema-location: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:add-schema-location("asd", c) no-error.
   if error-status:error or not error-status:get-number(1) eq 4065
                  then message "Unexpected error6 schema-location: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:add-schema-location(c, "asd") no-error.
   if error-status:error or not error-status:get-number(1) eq 4065
                  then message "Unexpected error7 schema-location: " error-status:get-number(1) " " error-status:get-message(1).

   hDoc:add-schema-location("http://www.example.com", "com.xsd").
   hDoc:add-schema-location("http://www.example.org", "org.xsd").

   if not hDoc:schema-location eq " http://www.example.com com.xsd http://www.example.org org.xsd" then "Unexpected error8: schema-location".

   return 0.
end.

schemaLoc(-1).